Package com.clickhouse.jdbc

## Class CombinedResultSet

- java.lang.Object
- - com.clickhouse.jdbc.Wrapper
  - - com.clickhouse.jdbc.AbstractResultSet
    - - com.clickhouse.jdbc.CombinedResultSet

All Implemented Interfaces:
  `AutoCloseable`, `ResultSet`, `Wrapper`

    public class CombinedResultSet
    extends AbstractResultSet

Wrapper of multiple ResultSets.

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
`CombinedResultSet​(ResultSet... results)`
`CombinedResultSet​(Collection<ResultSet> results)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`protected ResultSet` `current()`
`int` `findColumn​(String columnLabel)`
`Array` `getArray​(int columnIndex)`
`Array` `getArray​(String columnLabel)`
`InputStream` `getAsciiStream​(int columnIndex)`
`InputStream` `getAsciiStream​(String columnLabel)`
`BigDecimal` `getBigDecimal​(int columnIndex)`
`BigDecimal` `getBigDecimal​(int columnIndex, int scale)`
`BigDecimal` `getBigDecimal​(String columnLabel)`
`BigDecimal` `getBigDecimal​(String columnLabel, int scale)`
`InputStream` `getBinaryStream​(int columnIndex)`
`InputStream` `getBinaryStream​(String columnLabel)`
`Blob` `getBlob​(int columnIndex)`
`Blob` `getBlob​(String columnLabel)`
`boolean` `getBoolean​(int columnIndex)`
`boolean` `getBoolean​(String columnLabel)`
`byte` `getByte​(int columnIndex)`
`byte` `getByte​(String columnLabel)`
`byte[]` `getBytes​(int columnIndex)`
`byte[]` `getBytes​(String columnLabel)`
`Reader` `getCharacterStream​(int columnIndex)`
`Reader` `getCharacterStream​(String columnLabel)`
`Clob` `getClob​(int columnIndex)`
`Clob` `getClob​(String columnLabel)`
`String` `getCursorName()`
`Date` `getDate​(int columnIndex)`
`Date` `getDate​(int columnIndex, Calendar cal)`
`Date` `getDate​(String columnLabel)`
`Date` `getDate​(String columnLabel, Calendar cal)`
`double` `getDouble​(int columnIndex)`
`double` `getDouble​(String columnLabel)`
`int` `getFetchSize()`
`float` `getFloat​(int columnIndex)`
`float` `getFloat​(String columnLabel)`
`int` `getInt​(int columnIndex)`
`int` `getInt​(String columnLabel)`
`long` `getLong​(int columnIndex)`
`long` `getLong​(String columnLabel)`
`ResultSetMetaData` `getMetaData()`
`Reader` `getNCharacterStream​(int columnIndex)`
`Reader` `getNCharacterStream​(String columnLabel)`
`NClob` `getNClob​(int columnIndex)`
`NClob` `getNClob​(String columnLabel)`
`String` `getNString​(int columnIndex)`
`String` `getNString​(String columnLabel)`
`Object` `getObject​(int columnIndex)`
`<T> T` `getObject​(int columnIndex, Class<T> type)`
`Object` `getObject​(int columnIndex, Map<String,​Class<?>> map)`
`Object` `getObject​(String columnLabel)`
`<T> T` `getObject​(String columnLabel, Class<T> type)`
`Object` `getObject​(String columnLabel, Map<String,​Class<?>> map)`
`Ref` `getRef​(int columnIndex)`
`Ref` `getRef​(String columnLabel)`
`int` `getRow()`
`RowId` `getRowId​(int columnIndex)`
`RowId` `getRowId​(String columnLabel)`
`short` `getShort​(int columnIndex)`
`short` `getShort​(String columnLabel)`
`SQLXML` `getSQLXML​(int columnIndex)`
`SQLXML` `getSQLXML​(String columnLabel)`
`Statement` `getStatement()`
`String` `getString​(int columnIndex)`
`String` `getString​(String columnLabel)`
`Time` `getTime​(int columnIndex)`
`Time` `getTime​(int columnIndex, Calendar cal)`
`Time` `getTime​(String columnLabel)`
`Time` `getTime​(String columnLabel, Calendar cal)`
`Timestamp` `getTimestamp​(int columnIndex)`
`Timestamp` `getTimestamp​(int columnIndex, Calendar cal)`
`Timestamp` `getTimestamp​(String columnLabel)`
`Timestamp` `getTimestamp​(String columnLabel, Calendar cal)`
`InputStream` `getUnicodeStream​(int columnIndex)`
`InputStream` `getUnicodeStream​(String columnLabel)`
`URL` `getURL​(int columnIndex)`
`URL` `getURL​(String columnLabel)`
`protected boolean` `hasNext()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isClosed()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `next()`
`boolean` `rowDeleted()`
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `setFetchSize​(int rows)`
`boolean` `wasNull()`

### Methods inherited from class com.clickhouse.jdbc.AbstractResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, deleteRow, ensureOpen, first, getConcurrency, getFetchDirection, getHoldability, getType, getWarnings, insertRow, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, setFetchDirection, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class com.clickhouse.jdbc.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### CombinedResultSet

    public CombinedResultSet​(ResultSet... results)

#### CombinedResultSet

    public CombinedResultSet​(Collection<ResultSet> results)

### Method Detail

#### current

    protected ResultSet current()
                         throws SQLException

Throws:
  `SQLException`

#### hasNext

    protected boolean hasNext()
                       throws SQLException

Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Throws:
  `SQLException`

#### getString

    public String getString​(int columnIndex)
                     throws SQLException

Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean​(int columnIndex)
                       throws SQLException

Throws:
  `SQLException`

#### getByte

    public byte getByte​(int columnIndex)
                 throws SQLException

Throws:
  `SQLException`

#### getShort

    public short getShort​(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getInt

    public int getInt​(int columnIndex)
               throws SQLException

Throws:
  `SQLException`

#### getLong

    public long getLong​(int columnIndex)
                 throws SQLException

Throws:
  `SQLException`

#### getFloat

    public float getFloat​(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getDouble

    public double getDouble​(int columnIndex)
                     throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(int columnIndex,
                                    int scale)
                             throws SQLException

Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes​(int columnIndex)
                    throws SQLException

Throws:
  `SQLException`

#### getDate

    public Date getDate​(int columnIndex)
                 throws SQLException

Throws:
  `SQLException`

#### getTime

    public Time getTime​(int columnIndex)
                 throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(int columnIndex)
                           throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream​(int columnIndex)
                               throws SQLException

Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream​(int columnIndex)
                                 throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream​(int columnIndex)
                                throws SQLException

Throws:
  `SQLException`

#### getString

    public String getString​(String columnLabel)
                     throws SQLException

Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean​(String columnLabel)
                       throws SQLException

Throws:
  `SQLException`

#### getByte

    public byte getByte​(String columnLabel)
                 throws SQLException

Throws:
  `SQLException`

#### getShort

    public short getShort​(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### getInt

    public int getInt​(String columnLabel)
               throws SQLException

Throws:
  `SQLException`

#### getLong

    public long getLong​(String columnLabel)
                 throws SQLException

Throws:
  `SQLException`

#### getFloat

    public float getFloat​(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### getDouble

    public double getDouble​(String columnLabel)
                     throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(String columnLabel,
                                    int scale)
                             throws SQLException

Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes​(String columnLabel)
                    throws SQLException

Throws:
  `SQLException`

#### getDate

    public Date getDate​(String columnLabel)
                 throws SQLException

Throws:
  `SQLException`

#### getTime

    public Time getTime​(String columnLabel)
                 throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(String columnLabel)
                           throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    public InputStream getAsciiStream​(String columnLabel)
                               throws SQLException

Throws:
  `SQLException`

#### getUnicodeStream

    public InputStream getUnicodeStream​(String columnLabel)
                                 throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    public InputStream getBinaryStream​(String columnLabel)
                                throws SQLException

Throws:
  `SQLException`

#### getCursorName

    public String getCursorName()
                         throws SQLException

Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Throws:
  `SQLException`

#### getObject

    public Object getObject​(int columnIndex)
                     throws SQLException

Throws:
  `SQLException`

#### getObject

    public Object getObject​(String columnLabel)
                     throws SQLException

Throws:
  `SQLException`

#### findColumn

    public int findColumn​(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream​(int columnIndex)
                              throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream​(String columnLabel)
                              throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(int columnIndex)
                             throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal​(String columnLabel)
                             throws SQLException

Throws:
  `SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws SQLException

Throws:
  `SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws SQLException

Throws:
  `SQLException`

#### isFirst

    public boolean isFirst()
                    throws SQLException

Throws:
  `SQLException`

#### isLast

    public boolean isLast()
                   throws SQLException

Throws:
  `SQLException`

#### getRow

    public int getRow()
               throws SQLException

Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize​(int rows)
                      throws SQLException

Throws:
  `SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws SQLException

Throws:
  `SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws SQLException

Specified by:
  `rowUpdated` in interface `ResultSet`
Overrides:
  `rowUpdated` in class `AbstractResultSet`
Throws:
  `SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws SQLException

Specified by:
  `rowInserted` in interface `ResultSet`
Overrides:
  `rowInserted` in class `AbstractResultSet`
Throws:
  `SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws SQLException

Specified by:
  `rowDeleted` in interface `ResultSet`
Overrides:
  `rowDeleted` in class `AbstractResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Throws:
  `SQLException`

#### getObject

    public Object getObject​(int columnIndex,
                            Map<String,​Class<?>> map)
                     throws SQLException

Throws:
  `SQLException`

#### getRef

    public Ref getRef​(int columnIndex)
               throws SQLException

Throws:
  `SQLException`

#### getBlob

    public Blob getBlob​(int columnIndex)
                 throws SQLException

Throws:
  `SQLException`

#### getClob

    public Clob getClob​(int columnIndex)
                 throws SQLException

Throws:
  `SQLException`

#### getArray

    public Array getArray​(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getObject

    public Object getObject​(String columnLabel,
                            Map<String,​Class<?>> map)
                     throws SQLException

Throws:
  `SQLException`

#### getRef

    public Ref getRef​(String columnLabel)
               throws SQLException

Throws:
  `SQLException`

#### getBlob

    public Blob getBlob​(String columnLabel)
                 throws SQLException

Throws:
  `SQLException`

#### getClob

    public Clob getClob​(String columnLabel)
                 throws SQLException

Throws:
  `SQLException`

#### getArray

    public Array getArray​(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### getDate

    public Date getDate​(int columnIndex,
                        Calendar cal)
                 throws SQLException

Throws:
  `SQLException`

#### getDate

    public Date getDate​(String columnLabel,
                        Calendar cal)
                 throws SQLException

Throws:
  `SQLException`

#### getTime

    public Time getTime​(int columnIndex,
                        Calendar cal)
                 throws SQLException

Throws:
  `SQLException`

#### getTime

    public Time getTime​(String columnLabel,
                        Calendar cal)
                 throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(int columnIndex,
                                  Calendar cal)
                           throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp​(String columnLabel,
                                  Calendar cal)
                           throws SQLException

Throws:
  `SQLException`

#### getURL

    public URL getURL​(int columnIndex)
               throws SQLException

Throws:
  `SQLException`

#### getURL

    public URL getURL​(String columnLabel)
               throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId​(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getRowId

    public RowId getRowId​(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob​(int columnIndex)
                   throws SQLException

Throws:
  `SQLException`

#### getNClob

    public NClob getNClob​(String columnLabel)
                   throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML​(int columnIndex)
                     throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    public SQLXML getSQLXML​(String columnLabel)
                     throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString​(int columnIndex)
                      throws SQLException

Throws:
  `SQLException`

#### getNString

    public String getNString​(String columnLabel)
                      throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream​(int columnIndex)
                               throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    public Reader getNCharacterStream​(String columnLabel)
                               throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(int columnIndex,
                           Class<T> type)
                    throws SQLException

Throws:
  `SQLException`

#### getObject

    public <T> T getObject​(String columnLabel,
                           Class<T> type)
                    throws SQLException

Throws:
  `SQLException`